path: /build/build/yt-dlp-net-misc-2024.08.06.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-brotli certifi ffmpeg xattr" emerge net-misc/yt-dlp -pv -t && \
    USE="-brotli certifi ffmpeg xattr" emerge -j ${JOBS} --nodeps net-misc/yt-dlp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/yt-dlp && luet-portage --dir /pkgdir/yt-dlp
    net-misc/yt-dlp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ff32997e062cd1fb571cc99b7a38dcf3149b850f013ca0d0109228fa2dc90df7
  package:
    name: yt-dlp
    version: 2024.08.06
    category: net-misc
    use_flags:
    - -brotli
    - certifi
    - ffmpeg
    - xattr
    requires:
    - name: pandoc-bin
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A youtube-dl fork with additional features and fixes
    uri:
    - https://github.com/yt-dlp/yt-dlp
    license: Unlicense
    buildtimestamp: 2024-08-27 11:02:54.295652343 +0000 UTC m=+72.255004034
    labels:
      BDEPEND: app-arch/zip
      IUSE: brotli certifi +ffmpeg xattr python_single_target_python3_10 python_single_target_python3_7
        python_single_target_python3_9 python_single_target_python3_8 python_targets_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      RDEPEND: '>=dev-lang/python-3.7 || ( app-text/pandoc-bin app-text/pandoc ) brotli?
        ( app-arch/brotli ) certifi? ( dev-python/certifi ) ffmpeg? ( media-video/ffmpeg
        ) xattr? ( dev-python/pyxattr )'
      emerge.packages: net-misc/yt-dlp
      kit: media-kit
      original.package.name: net-misc/yt-dlp
      original.package.slot: "0"
      original.package.version: 2024.08.06
    treedir: /build/packages
  package_dir: /pkgdir/yt-dlp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c5ec28ec993ece8e1fa2320e289effaaef472a0511f36235110a676069b151ea
compressiontype: zstd
files:
- usr/bin/yt-dlp
- usr/share/bash-completion/completions/yt-dlp
- usr/share/fish/vendor_completions.d/yt-dlp.fish
- usr/share/man/man1/yt-dlp.1.bz2
- usr/share/zsh/site-functions/_yt-dlp
- var/db/pkg/net-misc/yt-dlp-2024.08.06/BDEPEND
- var/db/pkg/net-misc/yt-dlp-2024.08.06/BUILD_TIME
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CATEGORY
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CBUILD
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CFLAGS
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CHOST
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CONTENTS
- var/db/pkg/net-misc/yt-dlp-2024.08.06/COUNTER
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CTARGET
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CXX
- var/db/pkg/net-misc/yt-dlp-2024.08.06/CXXFLAGS
- var/db/pkg/net-misc/yt-dlp-2024.08.06/DEFINED_PHASES
- var/db/pkg/net-misc/yt-dlp-2024.08.06/DESCRIPTION
- var/db/pkg/net-misc/yt-dlp-2024.08.06/EAPI
- var/db/pkg/net-misc/yt-dlp-2024.08.06/FEATURES
- var/db/pkg/net-misc/yt-dlp-2024.08.06/HOMEPAGE
- var/db/pkg/net-misc/yt-dlp-2024.08.06/INHERITED
- var/db/pkg/net-misc/yt-dlp-2024.08.06/IUSE
- var/db/pkg/net-misc/yt-dlp-2024.08.06/IUSE_EFFECTIVE
- var/db/pkg/net-misc/yt-dlp-2024.08.06/KEYWORDS
- var/db/pkg/net-misc/yt-dlp-2024.08.06/LDFLAGS
- var/db/pkg/net-misc/yt-dlp-2024.08.06/LICENSE
- var/db/pkg/net-misc/yt-dlp-2024.08.06/PF
- var/db/pkg/net-misc/yt-dlp-2024.08.06/RDEPEND
- var/db/pkg/net-misc/yt-dlp-2024.08.06/SIZE
- var/db/pkg/net-misc/yt-dlp-2024.08.06/SLOT
- var/db/pkg/net-misc/yt-dlp-2024.08.06/USE
- var/db/pkg/net-misc/yt-dlp-2024.08.06/environment.bz2
- var/db/pkg/net-misc/yt-dlp-2024.08.06/repository
- var/db/pkg/net-misc/yt-dlp-2024.08.06/yt-dlp-2024.08.06.ebuild
package_cacheimage: ""
runtime:
  name: yt-dlp
  version: 2024.08.06
  category: net-misc
  use_flags:
  - -brotli
  - certifi
  - ffmpeg
  - xattr
  requires:
  - name: certifi
    version: '>=0'
    category: dev-python
  - name: pyxattr
    version: '>=0'
    category: dev-python
  - name: ffmpeg
    version: '>=0'
    category: media-video
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A youtube-dl fork with additional features and fixes
  uri:
  - https://github.com/yt-dlp/yt-dlp
  license: Unlicense
  labels:
    BDEPEND: app-arch/zip
    IUSE: brotli certifi +ffmpeg xattr python_single_target_python3_10 python_single_target_python3_7
      python_single_target_python3_9 python_single_target_python3_8 python_targets_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
    RDEPEND: '>=dev-lang/python-3.7 || ( app-text/pandoc-bin app-text/pandoc ) brotli?
      ( app-arch/brotli ) certifi? ( dev-python/certifi ) ffmpeg? ( media-video/ffmpeg
      ) xattr? ( dev-python/pyxattr )'
    emerge.packages: net-misc/yt-dlp
    kit: media-kit
    original.package.name: net-misc/yt-dlp
    original.package.slot: "0"
    original.package.version: 2024.08.06
